Page MenuHomePhabricator

Ensure that null is not returned in place of empty string
Closed, ResolvedPublic

Description

Description
For each route handler, if the Comment is present we should return the stored value even if the stored value is the empty string and not return "null" in place of an empty string.

Currently, we return "null" when an empty string is stored in the Comment table.

See this line for reference

Requirements:

  • All route handlers return empty string or "null" depending on the DB contents

Details

Related Gerrit Patches:

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptOct 15 2019, 9:00 PM
WDoranWMF triaged this task as Low priority.Oct 15 2019, 9:00 PM
WDoranWMF updated the task description. (Show Details)Oct 16 2019, 2:48 PM

Change 542450 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/core@master] REST History and compare endpoints followups.

https://gerrit.wikimedia.org/r/542450

Change 542450 merged by jenkins-bot:
[mediawiki/core@master] REST History and compare endpoints followups.

https://gerrit.wikimedia.org/r/542450

Updated the docs for the get page history and get revision endpoints as shown here. Let me know if this is incorrect or insufficient.

eprodromou closed this task as Resolved.Oct 29 2019, 4:35 PM
eprodromou claimed this task.

Looks correct.